Foxit PDF SDK

Instance Methods | List of all members
FSPDFACompliance Class Reference
Inheritance diagram for FSPDFACompliance:

## Instance Methods
(FSResultInformation *) | - convertPDFFile:saved_pdf_path:convert_to_version:progress_callback:
| Convert a PDF file with specified PDF/A version. More...
(id) | - init
| Constructor.
(id) | - initWithOther:
| Constructor, with another PDF/A compliance object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(FSResultInformation *) | - verify:src_pdf_path:first_page_index:last_page_index:progress_callback:
| Verify a PDF file with specified PDF/A version. More...

## Detailed Description

This class can be used for PDF/A compliance verification or converting a PDF file to a PDF/A format. Please ensure FSComplianceEngine has been initialized successfully.

See also
  FSComplianceEngine

## Method Documentation

## ◆ convertPDFFile:saved_pdf_path:convert_to_version:progress_callback:()

- (FSResultInformation *) convertPDFFile: |  | (NSString *) | src_pdf_path
saved_pdf_path: |  | (NSString *) | saved_pdf_path
convert_to_version: |  | (FSPDFAComplianceVersion) | convert_to_version
progress_callback: |  | (id<FSComplianceProgressCallback>) | progress_callback

Convert a PDF file with specified PDF/A version.

Parameters

  [in] | src_pdf_path | A complete path of source PDF file to be converted. This should not be an empty string.
  [in] | saved_pdf_path | A complete path for saving the converted PDF file. This should not be an empty string.
  [in] | convert_to_version | PDF/A version to convert. Please refer to values starting from FSPDFAComplianceVersionPDFA1a and this should be one of these values.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be nil. Default value: nil.

Returns
  A FSResultInformation object.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSPDFACompliance*) | other |

Constructor, with another PDF/A compliance object.

Parameters

  [in] | other | Another PDF/A compliance object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## ◆ verify:src_pdf_path:first_page_index:last_page_index:progress_callback:()

- (FSResultInformation *) verify: |  | (FSPDFAComplianceVersion) | verify_version
src_pdf_path: |  | (NSString *) | src_pdf_path
first_page_index: |  | (int) | first_page_index
last_page_index: |  | (int) | last_page_index
progress_callback: |  | (id<FSComplianceProgressCallback>) | progress_callback

Verify a PDF file with specified PDF/A version.

Parameters

  [in] | verify_version | PDF/A version to verify. Please refer to values starting from FSPDFAComplianceVersionPDFA1a and this should be one of these values.
  [in] | src_pdf_path | A complete path of source PDF file to be verified. This should not be an empty string.
  [in] | first_page_index | Index of the first page to be verified, staring from 0. Default value: 0.
  [in] | last_page_index | Index of the last page to be verified. If this is -1, that means all the pages of the source PDF file will be verified(ignores first_page_index). Default value: -1.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be nil. Default value: nil.

Returns
  A FSResultInformation object.